#!/bin/sh
#
# $FreeBSD: ports/net-mgmt/nrpe2/files/nrpe2.sh.in,v 1.1 2005/05/26 19:26:04 pav Exp $
#

# PROVIDE: nrpe2
# REQUIRE: NETWORKING
# KEYWORD: FreeBSD shutdown

#
# Add the following lines to /etc/rc.conf to enable nrpe2:
#
#nrpe2_enable="YES"
#
#

. /etc/rc.subr

name=nrpe2
rcvar=`set_rcvar`

command="/usr/local/sbin/nrpe2"
required_files=/usr/local/etc/nrpe.cfg
command_args="-c ${required_files} -d"
pidfile=/var/run/${name}.pid

# set defaults

nrpe2_enable=${nrpe2_enable:-"NO"}
nrpe2_flags=${nrpe2_flags:-""}

load_rc_config ${name}
run_rc_command "$1"
